Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface XMLEntitySpecRegistryEntryMBean

public interface XMLEntitySpecRegistryEntryMBean
extends ConfigurationMBean

This is an entry in the XML registry. An XML registry entry is configuration information associated with a particular XML document type. Entries accessed through this interface are used to specify a local instance for a remote entity reference. For this type of registry entry the document type is identified by either or both of: 1) a public ID (e.g, "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" 2) a system ID (e.g, "http://java.sun.com/j2ee/dtds/ejb-jar_2_0.dtd") This configuration information is used by the WebLogic JAXP implementation to set up SAX EntityResolvers.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getCacheTimeoutInterval()` Return the default timeout interval in seconds for the cache.
`java.lang.String` | `getEntityURI()` Return the location of a local copy of an external entity (e.g., a DTD) that is associated with this registry entry.
`java.lang.String` | `getPublicId()` Get the public id of the document type represented by this registry entry.
`java.lang.String` | `getSystemId()` Get the system id of the document type represented by this registry entry.
`java.lang.String` | `getWhenToCache()` Set whether to cache this item as soon as possible or wait until it is referenced.
`void` | `setCacheTimeoutInterval(int interval)` Set the default timeout interval in seconds for the cache.
`void` | `setEntityURI(java.lang.String uri)` Set the location of a local copy of an external entity (e.g, a DTD) that is associated with this registry entry.
`void` | `setPublicId(java.lang.String publicId)` Set the public id of the document type represented by this registry entry.
`void` | `setSystemId(java.lang.String systemId)` Set the system id of the document type represented by this registry entry.
`void` | `setWhenToCache(java.lang.String cacheOnDeploy)` Returns whether to cache this item as soon as possible or wait until it is referenced.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Get the public id of the document type represented by this registry entry.

  Returns:
    The publicId value

### setPublicId

    public void setPublicId(java.lang.String publicId)
                     throws javax.management.InvalidAttributeValueException

  Set the public id of the document type represented by this registry entry.

  A dynamic MBean attribute
  Parameters:
    `publicId` - The new publicId value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSystemId

    public java.lang.String getSystemId()

  Get the system id of the document type represented by this registry entry.

  Returns:
    The systemId value

### setSystemId

    public void setSystemId(java.lang.String systemId)
                     throws javax.management.InvalidAttributeValueException

  Set the system id of the document type represented by this registry entry.

  A dynamic MBean attribute
  Parameters:
    `systemId` - The new systemId value
  Throws:
    javax.management.InvalidAttributeValueException -

### getEntityURI

    public java.lang.String getEntityURI()

  Return the location of a local copy of an external entity (e.g., a DTD) that is associated with this registry entry. The location is either a pathname relative to one of the XML registry directories of the installation, or is a URI of the entity location in some local repository (e.g. dbms).

  Returns:
    The entityURI value

### setEntityURI

    public void setEntityURI(java.lang.String uri)
                      throws javax.management.InvalidAttributeValueException

  Set the location of a local copy of an external entity (e.g, a DTD) that is associated with this registry entry. The location is either a pathname relative to one of the XML registry directories of the installation, or is a URI of the entity location in some local repository (e.g. dbms).

  A dynamic MBean attribute
  Parameters:
    `uri` - The new entityURI value
  Throws:
    javax.management.InvalidAttributeValueException -

### getWhenToCache

    public java.lang.String getWhenToCache()

  Set whether to cache this item as soon as possible or wait until it is referenced.

  Default Value: "defer-to-registry-setting"
  Legal Values: "cache-on-reference","cache-at-initialization","cache-never","defer-to-registry-setting"
  Returns:
    The whenToCache value

### setWhenToCache

    public void setWhenToCache(java.lang.String cacheOnDeploy)

  Returns whether to cache this item as soon as possible or wait until it is referenced.

  A dynamic MBean attribute
  Parameters:
    `cacheOnDeploy` - The new whenToCache value

### getCacheTimeoutInterval

    public int getCacheTimeoutInterval()

  Return the default timeout interval in seconds for the cache. A value of -1 causes this value to be delegated from the cache MBean.

  Default Value: -1
  Legal Minimum Value: -1
  Returns:
    The cacheTimeoutInterval value

### setCacheTimeoutInterval

    public void setCacheTimeoutInterval(int interval)
                                 throws javax.management.InvalidAttributeValueException

  Set the default timeout interval in seconds for the cache.

  A dynamic MBean attribute
  Parameters:
    `interval` - The new cacheTimeoutInterval value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD